summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Lobanov <spline1986@gmail.com>2014-10-17 08:20:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-17 08:20:08 +0700
commit88176fcc9ad4415ce04eec0ea5cf155cfdebacbc (patch)
tree2444bc0c75ce799c746b6fdbbd1bdc8c48eafb27
parenta8ce38429e85e06ea3e6617f508605682c93ed06 (diff)
downloadslackbuilds-88176fcc9ad4415ce04eec0ea5cf155cfdebacbc.tar.gz
slackbuilds-88176fcc9ad4415ce04eec0ea5cf155cfdebacbc.tar.xz
desktop/rofi: Added (window switcher).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/rofi/README6
-rw-r--r--desktop/rofi/doinst.sh3
-rw-r--r--desktop/rofi/rofi.SlackBuild74
-rw-r--r--desktop/rofi/rofi.info10
-rw-r--r--desktop/rofi/slack-desc20
5 files changed, 113 insertions, 0 deletions
diff --git a/desktop/rofi/README b/desktop/rofi/README
new file mode 100644
index 0000000000..565f60ba4d
--- /dev/null
+++ b/desktop/rofi/README
@@ -0,0 +1,6 @@
+A popup window switcher roughly based on superswitcher, requiring
+only xlib and xft. This version started off as a clone of
+simpleswitcher, the version from Sean Pringle. All credit for this
+great tool should go to him. Rofi developed extra features, like
+a run-dialog, ssh-launcher and can act as a drop-in dmenu
+replacement, making it a very versatile tool.
diff --git a/desktop/rofi/doinst.sh b/desktop/rofi/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/rofi/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/rofi/rofi.SlackBuild b/desktop/rofi/rofi.SlackBuild
new file mode 100644
index 0000000000..269697a5da
--- /dev/null
+++ b/desktop/rofi/rofi.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+# Slackware build script for INSTEAD
+
+# Written by Andrew Lobanov <spline @ rooker dot ru>
+
+PRGNAM=rofi
+VERSION=${VERSION:-0.14.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG PREFIX=/usr
+
+# Create a directory for documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL.md README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/rofi/rofi.info b/desktop/rofi/rofi.info
new file mode 100644
index 0000000000..224e643bfe
--- /dev/null
+++ b/desktop/rofi/rofi.info
@@ -0,0 +1,10 @@
+PRGNAM="rofi"
+VERSION="0.14.19"
+HOMEPAGE="https://davedavenport.github.io/rofi/"
+DOWNLOAD="https://github.com/DaveDavenport/rofi/releases/download/0.14.9/rofi-0.14.9.tar.xz"
+MD5SUM="beb7fdedcc998a4692495587f19bbe33"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Lobanov"
+EMAIL="spline1986@gmail.com"
diff --git a/desktop/rofi/slack-desc b/desktop/rofi/slack-desc
new file mode 100644
index 0000000000..5be7e4d2df
--- /dev/null
+++ b/desktop/rofi/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rofi: rofi (window switcher)
+rofi:
+rofi: A popup window switcher roughly based on superswitcher, requiring
+rofi: only xlib and xft. This version started off as a clone of
+rofi: simpleswitcher, the version from Sean Pringle. All credit for this
+rofi: great tool should go to him. Rofi developed extra features, like
+rofi: a run-dialog, ssh-launcher and can act as a drop-in dmenu
+rofi: replacement, making it a very versatile tool.
+rofi:
+rofi: Homepage: https://davedavenport.github.io/rofi/
+rofi:
+rofi: